Skip to main content
`Ctrl`+`K`

# PetscSectionCreateSubsection

Create a new, smaller `PetscSection` composed of only selected fields

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionCreateSubsection(PetscSection s, PetscInt len, const PetscInt fields[], PetscSection *subs)

Collective

## Input Parameters

- s - the `PetscSection`

- len - the number of subfields

- fields - the subfield numbers

## Output Parameter

- subs - the subsection

## Notes

The chart of `subs` is the same as the chart of `s`

This will error if a fieldnumber is out of range

## See Also

PetscSection, `PetscSection`, `PetscSectionCreateSupersection()`, `PetscSectionCreate()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages